Bara någon dag efter det att Sacred: Plus-expansionen släpptes har redan de först patcharna anlänt. Installation av dessa krävs ifall du vill spela på Open.net respektive Closed.net-servrar. Några ytterligare detaljer om vad patcharna fixar finns inte tillgängligt i skrivande stund.

Hämta från officiella hemsidan >>

Skicka en rättelse